#!/usr/bin/env bash

set -x

OPTS="-Wall -Wcompat -Wincomplete-uni-patterns -Wredundant-constraints -Wmissing-export-lists -Wincomplete-record-updates -Wmissing-deriving-strategies"

EXTS="-XNoImplicitPrelude -XNoFieldSelectors -XOverloadedRecordDot -XDuplicateRecordFields -XBangPatterns -XBinaryLiterals -XBlockArguments -XConstraintKinds -XDataKinds -XDeriveFunctor -XDeriveGeneric -XDerivingStrategies -XFlexibleContexts -XFlexibleInstances -XGADTs -XGeneralizedNewtypeDeriving -XHexFloatLiterals -XImportQualifiedPost -XInstanceSigs -XKindSignatures -XLambdaCase -XMultiParamTypeClasses -XNumericUnderscores -XOverloadedStrings -XScopedTypeVariables -XStandaloneDeriving -XTupleSections -XTypeApplications -XTypeOperators -XTypeSynonymInstances -XUndecidableInstances"

FILES=$(find app -name '*.hs')

nix develop -c ghci $OPTS $EXTS $FILES
